com.parse.http

## Enum ParseHttpRequest.Method

- java.lang.Object
- - java.lang.Enum<ParseHttpRequest.Method>
  - - com.parse.http.ParseHttpRequest.Method

All Implemented Interfaces:
  Serializable, Comparable<ParseHttpRequest.Method>

Enclosing class:
  ParseHttpRequest

    public static enum ParseHttpRequest.Method
    extends Enum<ParseHttpRequest.Method>

The `ParseHttpRequest` method type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETE`
`GET`
`POST`
`PUT`

### Method Summary

Methods
`static ParseHttpRequest.Method` `fromString(String string)` Creates a `Method` from the given string.
`String` `toString()` Returns a string value of this `Method`.
`static ParseHttpRequest.Method` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ParseHttpRequest.Method[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET

    public static final ParseHttpRequest.Method GET

#### POST

    public static final ParseHttpRequest.Method POST

#### PUT

    public static final ParseHttpRequest.Method PUT

#### DELETE

    public static final ParseHttpRequest.Method DELETE

### Method Detail

#### values

    public static ParseHttpRequest.Method[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ParseHttpRequest.Method c : ParseHttpRequest.Method.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ParseHttpRequest.Method valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromString

    public static ParseHttpRequest.Method fromString(String string)

Creates a `Method` from the given string. Valid stings are `GET`, `POST`, `PUT` and `DELETE`.

Parameters:
  `string` - The string value of this `Method`.
Returns:
  A `Method` based on the given string.

#### toString

    public String toString()

Returns a string value of this `Method`.

Overrides:
  `toString` in class `Enum<ParseHttpRequest.Method>`
Returns:
  The string value of this `Method`.